--- title: "getCloudMysqlInstanceList" slug: "database-vmysql-getcloudmysqlinstancelist" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqlinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlInstanceList Available in VPC Get the list of Cloud DB for MySQL instances. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlInstanceList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `zoneCode` | String | Optional | Filter by zone code - Check through [getZoneList](/docs/en/compute-vserver-server-common-getzonelist) | | `vpcNo` | String | Optional | Filter by VPC number - Check through [getCloudMysqlTargetVpcList](/docs/en/database-vmysql-getcloudmysqltargetvpclist) | | `subnetNo` | String | Optional | Filter by subnet number - Check through [getCloudMysqlTargetSubnetList](/docs/en/database-vmysql-getcloudmysqltargetsubnetlist) | | `cloudMysqlServiceName` | String | Optional | Filter by Cloud DB for MySQL service name - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `cloudMysqlInstanceNoList.N` | List[String] | Optional | Cloud DB for MySQL instance number list - Filter by Cloud DB for MySQL instance number - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) - ` cloudMysqlInstanceNoList.1=1234&cloudMysqlInstanceNoList.2=2345` | | `cloudMysqlServerName` | String | Optional | Filter by Cloud DB for MySQL server name - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `cloudMysqlServerInstanceNoList.N` | List[String] | Optional | Cloud DB for MySQL server instance number list - Filter by Cloud DB for MySQL server instance number - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) - `cloudMysqlServerInstanceNoList.1=1234&cloudMysqlServerInstanceNoList.2=2345` | | `generationCode` | String | Optional | Filter by server generation code - `G2` \| `G3` - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 (minimum) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlInstanceList ?regionCode=KR &zoneCode=KR-1 &vpcNo=***83 &subnetNo=**91 &cloudMysqlServiceName=test-**** &cloudMysqlInstanceNoList.1=****890 &cloudMysqlServerName=test-**** &cloudMysqlServerInstanceNoList.1=****891 &generationCode=G2 &pageNo=0 &pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMysqlInstanceList](/docs/en/common-vapidatatype-cloudmysqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlInstanceListResponse": { "totalRows": 1, "cloudMysqlInstanceList": [ { "cloudMysqlInstanceNo": "****890", "cloudMysqlServiceName": "test-****", "cloudMysqlInstanceStatusName": "running", "cloudMysqlInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudMysqlInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "isHa": true, "isMultiZone": true, "generationCode": "G2", "cloudMysqlServerInstanceList": [ { "cloudMysqlServerInstanceNo": "****891", "cloudMysqlServerName": "test-****-001-e04", "cloudMysqlServerRole": { "code": "M", "codeName": "Master" }, "cloudMysqlServerInstanceStatusName": "running", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "privateIp": "***.***.***.***", "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592 }, { "cloudMysqlServerInstanceNo": "****897", "cloudMysqlServerName": "test-****-002-e05", "cloudMysqlServerRole": { "code": "H", "codeName": "Standby Master" }, "cloudMysqlServerInstanceStatusName": "running", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****83", "subnetNo": "****91", "privateIp": "***.***.***.***", "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592 } ] } ], "requestId": "8f728514-****-****-****-e56324aeb031", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 8f728514-****-****-****-e56324aeb031 0 success 1 ****890 test-**** running CREAT CLOUD DATABASE(VPC) Created State NULL CLOUD DATABASE(VPC) Null OP true true G2 ****891 test-****-001-e04 M Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****83 ****91 ***.***.***.*** 10737418240 2 8589934592 ****897 test-****-002-4y1w H Standby Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-2 ****83 ****93 ***.***.***.*** 10737418240 2 8589934592 ```